Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Static Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer Class Reference
Inheritance diagram for eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer:

## Public Member Functions
| __construct (KernelInterface $kernel)
| setSiteAccess ()

## Static Public Member Functions
static | getSubscribedEvents ()

## Private Member Functions
| getSiteAccess ()

## Private Attributes
const | EZPLATFORM_SITEACCESS_ENV_VAR = 'EZPLATFORM_SITEACCESS'
const | DEFAULT_SITEACCESS_PARAMETER = 'ezpublish.siteaccess.default'
const | EVENT_DISPATCHER_SERVICE_ID = 'event_dispatcher'
| $kernel

## Detailed Description

Definition at line 19 of file BehatSiteAccessInitializer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::__construct | ( | KernelInterface | $kernel | ) |

Definition at line 28 of file BehatSiteAccessInitializer.php.

References eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer\$kernel.

## Member Function Documentation

## ◆ getSiteAccess()

eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::getSiteAccess | ( |  | ) |
| private

Definition at line 52 of file BehatSiteAccessInitializer.php.

Referenced by eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer\setSiteAccess().

## ◆ getSubscribedEvents()

static eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::getSubscribedEvents | ( |  | ) |
| static

Definition at line 33 of file BehatSiteAccessInitializer.php.

## ◆ setSiteAccess()

eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::setSiteAccess | ( |  | ) |

Definition at line 41 of file BehatSiteAccessInitializer.php.

References eZ\Publish\Core\MVC\Symfony\MVCEvents\CONFIG_SCOPE_CHANGE, and eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer\getSiteAccess().

## Member Data Documentation

## ◆ $kernel

eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::$kernel
| private

Definition at line 26 of file BehatSiteAccessInitializer.php.

Referenced by eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer\__construct().

## ◆ DEFAULT_SITEACCESS_PARAMETER

const eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::DEFAULT_SITEACCESS_PARAMETER = 'ezpublish.siteaccess.default'
| private

Definition at line 22 of file BehatSiteAccessInitializer.php.

## ◆ EVENT_DISPATCHER_SERVICE_ID

const eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::EVENT_DISPATCHER_SERVICE_ID = 'event_dispatcher'
| private

Definition at line 23 of file BehatSiteAccessInitializer.php.

## ◆ EZPLATFORM_SITEACCESS_ENV_VAR

const eZ\Bundle\PlatformBehatBundle\Initializer\BehatSiteAccessInitializer::EZPLATFORM_SITEACCESS_ENV_VAR = 'EZPLATFORM_SITEACCESS'
| private

Definition at line 21 of file BehatSiteAccessInitializer.php.

The documentation for this class was generated from the following file:

- BehatSiteAccessInitializer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.